Define Object Structures

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

This endpoint specifies the unique fields available for your Customer and Case objects in your CRM. Each field specified here will be presented to the Khoros Marketing Admin to configure for Khoros Marketing Agent visibility in the Company Settings page.

When enabled, the fields will dictate JSON properties communicated from Khoros to your server. For example, if your Case object specifies:

{
	"name": "case",
	"fields": [
		{
			"name": "clubNo",
			"label": "Customer Club Number",
			"type": "text",
			"searchable": false
		}
	]
}

Then Spredfast will present Customer Club Number as a field to Agents when creating a case, and pass the data onto your server with a payload similar to:

{
	"customerId": "<some id>",
	"title": "Case title",
	"interactions": [...],
	"clubNo": "<specified club number>"
}

Currently, only Customer objects are searchable via Spredfast, therefore any Case fields marked "searchable": true will have no affect on the system.

Responses and Response Schema

200 (Object's Fields Response)
Object's Fields Response [block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "name*", "1-0": "fields*", "1-1": "array[object]", "0-1": "string" }, "cols": 3, "rows": 2 } [/block]
fields object
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "name*", "0-1": "string", "0-2": "The name of the property on the object. This will be passed as a JSON field in Customer and Case objects, replacing the `custom
listValues object
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "name*", "0-1": "string", "1-0": "value*", "1-1": "string" }, "cols": 2, "rows": 2 } [/block]
400 (Generic Errors)
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "error*", "0-1": "string", "0-2": "Name of the error or code.", "1-0": "message*", "1-1": "string", "1-2": "Message passable to the user." }, "cols": 3, "rows": 2 } [/block]
401 (Invalid API Key)
API key is invalid or has become de-authenticated.
404 (Meta Type Not Supported)
Requested meta type is not supported.
500 (Unexpected Error)
[block:parameters] { "data": { "h-0": "Field Name", "h-1": "Type", "h-2": "Description", "0-0": "error*", "0-1": "string", "0-2": "Name of the error or code.", "1-0": "message*", "1-1": "string", "1-2": "Message passable to the user." }, "cols": 3, "rows": 2 } [/block]
Path Params
string
required
Headers
string
int32
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
text/plain